## collectd-netapp 4.10.1-0noris0

=== Makefile ===
CPPFLAGS = -I/usr/include/collectd `pkg-config --cflags netapp1` -DHAVE_CONFIG_H
CFLAGS = -Wall -Wextra -fPIC
LDLIBS = `pkg-config --libs netapp1`
LDFLAGS = -Wl,-soname -Wl,netapp.so

all: netapp.so

clean:
	rm -f netapp.so

install: netapp.so
	mkdir -p $(DESTDIR)/usr/lib/collectd
	cp netapp.so $(DESTDIR)/usr/lib/collectd/

netapp.so: netapp.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -shared -o $@ $< $(LDFLAGS) $(LDLIBS)

.PHONY: clean

=== debian/changelog ===
collectd-netapp (4.10.1-0noris0) unstable; urgency=low

  * Initial Release.

 -- Florian Forster <octo@noris.net>  Wed, 15 Sep 2010 16:14:44 +0200

=== debian/control ===
Source: collectd-netapp
Section: utils
Priority: extra
Maintainer: Florian Forster <octo@noris.net>
Build-Depends: debhelper (>= 7), libnetapp1-dev (>= 3.5.1-0noris1)
Standards-Version: 3.7.3
Homepage: http://collectd.org/wiki/index.php/Plugin:NetApp

Package: collectd-netapp
Architecture: any
Depends: collectd-core (>= 4.10.1-1~bpo50+1), collectd-core (<< 4.11~),
 libnetapp1 (>= 3.5.1)
Description: NetApp plug-in for collectd
 The NetApp plugin-in for collectd, linked against the libnetapp library from
 the Manage ONTAP[tm] SDK.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/collectd-netapp.sgml > collectd-netapp.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/collectd-netapp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/collectd-netapp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
